//we are going to import the files such as json, geoPath from d3 
import { select, json, geoPath, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');
// The projection and pathgenerator is created
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);
// The path is attached to svg at specified location 
svg.append('path')
    .attr('class', 'sphere') // a class is created for sphere to add style in css
    .attr('d', pathGenerator({type: 'Sphere'}));
// This is the link of gisthub
json('https://gist.githubusercontent.com/spandhanabadekol/502d80c1ef4e0cc848393476977e3bb1/raw/306193f953607b0eb7486d44b54c1880b7755ee4/World')
  .then(data => {
// Countries variable is added to data for parsing the data
    const countries = feature(data, data.objects.countries);
// The datajoin is used for the paths
  svg.selectAll('path').data(countries.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', pathGenerator);
  });